import { Component } from '@angular/core';
import { IonicPage, NavController, NavParams } from 'ionic-angular';
import {AppService} from "../../../service/appHttpService";

@IonicPage()
@Component({
  selector: 'page-duty-change-detail',
  templateUrl: 'duty-change-detail.html',
})
export class DutyChangeDetailPage {

  detail;
  httpDetail;
  constructor(public navCtrl: NavController, public navParams: NavParams,
              public appService: AppService) {
  }

  ionViewDidLoad() {
    this.detail = this.navParams.get('item');
    this.getDetail();
  }

  getDetail(){
    this.appService.ObserverHttpGetOption('/wisdomgroup/schedule/getDataByApplyId',{applyId:this.detail.id})
        .subscribe((res)=>{
          this.httpDetail = res.json();
        });
  }

}
